component: DistributedLoggerFault
proto_imports:
    - vehicle/logger_v2/diagnostics/distributed_logger_diagnostics.proto
namespace: zoox::logger_v2::diag
metric: zoox::logger_v2::diag::DistributedLoggerMetrics
faults:
    - id: 1
      name: NeverStarted
      severity: WARNING
      description: Distributed Logger hasn't been started.
    - id: 2
      name: HeartbeatStopped
      severity: WARNING
      description: Topic /logger/heartbeat has gone quiet. Logging stopped.
    - id: 3
      name: LoggerServerNotInRunningState
      severity: WARNING
      description: Logger Server reports it is not in RUNNING state.
    - id: 4
      name: EmptySavepath
      severity: WARNING
      description: Savepath from /distributed_logger/savepath is empty.
    - id: 5
      name: ChumBuilderError
      severity: WARNING
      description: See list of errors below.
      freeze_frame: ChumBuilderFreezeFrame
      triggers_nogo: false
    - id: 6
      name: QueueOverHalfCapacity
      severity: WARNING
      description: Logging queue is over half its capacity.
      freeze_frame: DistributedLoggerMetrics
      triggers_nogo: false
